Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.security
Class UserInfo

    java.lang.Object
      |
      +--com.compoze.security.UserInfo

All Implemented Interfaces:
  java.io.Serializable

public class UserInfo
extends java.lang.Object
implements java.io.Serializable

This class represents a data holder for user information such user name and credential (for example: password, public key).

See Also:
  Serialized Form

Constructor Summary
`UserInfo(java.lang.String sName)` Constructor.
`UserInfo(java.lang.String sName, java.lang.Object credential)` Constructor.

Method Summary
`java.lang.Object` | `getCredential()` Gets the user credential.
`java.lang.String` | `getName()` Gets the name of this user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInfo

    public UserInfo(java.lang.String sName)

  Constructor.
  Parameters:
    `sName` - the user name (may not be `null`)

### UserInfo

    public UserInfo(java.lang.String sName,
                    java.lang.Object credential)

  Constructor.
  Parameters:
    `sName` - the user name (may not be `null`)
    `credential` - the user's credential (for example: password or public key)

Method Detail

### getCredential

    public java.lang.Object getCredential()

  Gets the user credential. In some cases, this can be the user password or public key.
  Returns:
    the user credential object

### getName

    public java.lang.String getName()

  Gets the name of this user.
  Returns:
    the user name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.